<template>
  <div class="album-list-managing">
    <div class="btn-toolbar" role="toolbar">
      <div class="btn-group me-2 mb-2" role="group">
        <button type="button" class="btn btn-primary" @click="onClickCreate">
          <i class="bi bi-plus-lg"></i>
          Create new album
        </button>
      </div>
      <div class="btn-group me-2 mb-2" role="group">
        <button type="button" class="btn btn-primary" :disabled="nothingSelected" @click="onClickEdit">
          <i class="bi bi-pencil-fill"></i>
          Edit selected
        </button>
      </div>
      <div class="btn-group mb-2" role="group">
        <button type="button" class="btn btn-danger" :disabled="nothingSelected" @click="onClickDelete">
          <i class="bi bi-trash-fill"></i>
          Delete selected
        </button>
      </div>
    </div>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'AlbumListManaging',
  emits: ['button'],
  props: {
    albums: { type: Array, required: true },
    alias: { type: String, default: '' },
  },
  setup(props, context) {
    const nothingSelected = computed(() => {
      return props.alias === ''
    })

    const onClickCreate = () => {
      context.emit('button', 'create-album', { alias: props.alias })
    }

    const onClickEdit = () => {
      context.emit('button', 'edit-album', { alias: props.alias })
    }

    const onClickDelete = () => {
      context.emit('button', 'delete-album', { alias: props.alias })
    }

    return {
      nothingSelected,
      onClickCreate,
      onClickEdit,
      onClickDelete,
    }
  },
}
</script>
